package io.vov.vitamio;

import io.vov.vitamio.IMediaScannerListener;

interface IMediaScannerService
{
    /**
     * Requests the media scanner to scan a file.
     * @param path the path to the file to be scanned.
     * @param mimeType  an optional mimeType for the file.
     * If mimeType is null, then the mimeType will be inferred from the file extension.
     * @param listener an optional IMediaScannerListener. 
     * If specified, the caller will be notified when scanning is complete via the listener.
     */
    void requestScanFile(String path, String mimeType, in IMediaScannerListener listener);
    
    void requestScanDirectory(String path, in IMediaScannerListener listener);
}
